## base-config 0.33.2

=== debian/changelog ===
base-config (0.33.2) stable; urgency=low

  * Corrected stupid typo in templates file, Closes: #74785, #74815, #74828
  * This problem makes it impossible to install the package, so it is
    important and must go in.

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Oct 2000 13:57:48 -0700

base-config (0.33.1) stable; urgency=low

  * Merged in changes from unstable version 0.38, which has had 2 weeks of
    (light testing). The boot-floppies team thinks these need to go into
    the next point release of stable. The change is:
    - Added code to the end of apt-setup to see if security.debian.org
      entries are missing from sources.list, and if so, prompt about adding
      them. Closes: #72845

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Oct 2000 10:22:27 -0400

base-config (0.33) stable; urgency=low

  * Freshened Mirrors.masterlist to fix swedish mirror data, Closes: #66755
  * Changed stage5 check to only prompt about logging in if
    /root/dbootstrap_settings exists. Closes: #67358
  * Added Japanese translation from Akira YOSHIYAMA <yosshy@debian.or.jp>.
  * Branched for stable.
  * I held off on this release since it couldn't get into potato anyway
    during test cycle 3. IMHO, this could be slipped into stable
    in a point release. Perhaps.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Jun 2000 11:52:54 -0700

base-config (0.32) frozen unstable; urgency=low

  * If anXious is run, apt-get's prompt hangs the install, and you cannot
    type data into it. Very very odd. To fix, run reset before calling apt.
    Closes: #65722 (wordaround; I think the real bug is in anXious).
    RC bug; made some installs very difficult to complete.
  * Wording changes about non-free and contrib.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jun 2000 14:24:56 -0700

base-config (0.31) frozen unstable; urgency=low

  * Also set up md5 password stuff in /etc/pam.d/passwd. This fixes the
    following bug: You install Debian and enable md5 passwords. A month later,
    your password exipres, and you find that you cannot change it, because
    login doesn't grok md5 passwords. Whether this is RC or not, I leave up
    to dark; my opinions is it's a pretty bad sleeper bug. Closes: #64575
  * In apt setup, don't refer to the last item on a list; the dialog frontend
    may order it to the top if it is default. Closes: #64567
  * Added French translation by Vincent.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 May 2000 19:25:00 -0700

base-config (0.30) frozen unstable; urgency=low

  * Fixed a stupid typo that made it impossible to use apt-setup to set up
    local mirror. Closes: #64462 (important)

 -- Joey Hess <joeyh@debian.org>  Sun, 21 May 2000 15:18:07 -0700

base-config (0.29) frozen unstable; urgency=low

  * Fixed hang when installing via ppp. Closes: #64167
    This is a RC bug; it was impossible to finish the installation via ppp
    without this bug fix.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 May 2000 13:31:44 -0700

base-config (0.28) frozen unstable; urgency=low

  * Fixed postinst to call anXious rather than xviddetect (randolph),
    I think the boot-floppies people consider this RC, since it makes new
    installs actually have niceties like a window manager and xterm when
    they start X. cf, bug #63114
  * Fixed problem with wrong error message being shown if an empty user
    password was entered, and only prompt for user password repeat at high,
    not critical priority. Closes: #64163
  # Added German translation from Othmar Pasteka <pasteka@kabsi.at>.
  * Added Polish translation from Marcin Owsiany
    <porridge@pandora.info.bielsko.pl>.
  * Added Italian translation from Eugenia Franzoni <franzoni@edisons.it>
    Closes: #64162
  * All right, I give up. Added text to initial root password prompt saying
    that it will not echo what you type, to reassure all the weird people
    out there who expect to see some kind of _infomation leaking echo_ when
    they enter the _root password for their system_. Gaaaaaaaaaaagh!
    Closes: #60444 and probably #63778
  * HTTP_PROXY value now filters down from dbootstrap, and ends up as the
    default apt-setup's proxy prompt.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 May 2000 18:29:30 -0700

base-config (0.27) frozen unstable; urgency=low

  * If the user specifies that md5 passwords should be used, actually use
    them when setting passwords. This was not being done because chpasswd
    doesn't know how. Now I pass it an already crypted password. I think this
    is important enough to go into potato because it tends to be a security
    problem. base-config claims to be using md5 passwords; to not do so
    gives the user a false sense of security. Closes: #62452
  * Tweaked message about VT switching so it will make sense to mac folks.
    Closes: #62829
  * Just refer to "Debian", rather than "Debian GNU/Linux" or "Debian
    Linux" in several places. Closes: #62544
  * Pcmcia purging has been fixed for quite some time, Closes: #58150
  * Display notes if entered passwords don't match or are empty, or if the
    entered username is invalid. Closes: #61372
  * Fixed bad directory error message, Closes: #61989

 -- Joey Hess <joeyh@debian.org>  Wed, 26 Apr 2000 15:01:57 -0700

base-config (0.26) frozen unstable; urgency=low

  * There are critical path fixes below -- bugs that will affect nearly all
    new debian (CD) installs, and would require nasty hacking to work around.
    Since that would make debian basically unistallable by some classes of
    users, this needs to get into frozen.
  * Finally got a chance to test all the cd stuff, using 2 potato cd's, a
    random non-debian cd, and a blank un-burned cd. Fixed the following
    bugs:
    - After successfully scanning cds, prompt the user if they want to
      add another access method or not, instead of looping back to main
      menu. Closes: #58531, #61953
    - Don't exit apt-setup if scanning a second or later cd and a bad cd is
      inserted.

