=== debian/control ===
Source: base-config
Section: admin
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper
Standards-Version: 3.2.1.0

Package: base-config
Architecture: any
Depends: debconf, apt
Conflicts: debconf (<< 0.2.79), debconf-tiny (<< 0.2.79), tasksel (<< 1.0-7)
Replaces: debconf (<< 0.2.79), debconf-tiny (<< 0.2.79)
Suggests: tasksel
Description: Debian base configuration package
 This package handles setting up the Debian base system. It contains the
 questions you see when you install Debian for the first time and boot up
 your new Debian system.
 .
 It can be removed with no ill effects -- now that your Debian system is
 installed, this package's only useful function is to allow you to
 reconfigure some of the things it asked you about earlier.
