=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: checklock.c
	cc -O2 -Wall checklock.c -o checklock
	
	# Freshen Mirrors.masterlist file, but allow failure.
	if cvs -d":pserver:anonymous@cvs.debian.org:/cvs/webwml" \
	   co -p webwml/english/mirror/Mirrors.masterlist > Mirrors.masterlist.0 \
	   && [ -s "Mirrors.masterlist.0" ]; then \
		mv -f Mirrors.masterlist.0 Mirrors.masterlist > /dev/null 2>&1; \
	fi

clean:
	dh_testdir
	dh_testroot
	dh_clean checklock

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/share/base-config usr/share/debconf/templates \
		usr/sbin usr/lib/base-config
	install apt-setup debian/tmp/usr/sbin/
	install -s checklock debian/tmp/usr/lib/base-config/
	cp apt-setup.templates debian/tmp/usr/share/debconf/templates/
	cp Mirrors.masterlist debian/tmp/usr/share/base-config/
	install stage* debian/tmp/usr/share/base-config/

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf
	# Hack!
	echo >> debian/tmp/DEBIAN/templates
	cat apt-setup.templates >> debian/tmp/DEBIAN/templates
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
