## base-config 1.33.18

=== debian/changelog ===
base-config (1.33.18) unstable; urgency=high

  * Rebuilt with woody's base-config so the merged templates file won't be
    missing entries; fixes infinite loop in intial base-config,
    Closes: #145434 (RC).
  * Verified by hand that the resulting file is not missing anything.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 May 2002 15:01:05 -0400

base-config (1.33.17) unstable; urgency=high

  * Argh, I got the suite breakage fix exactly backwards! Closes: #144479

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Apr 2002 12:58:27 -0400

base-config (1.33.16) unstable; urgency=HIGH

  * Upload to fix breakage in boot-floppies 3.0.22. If boot-floppies tells
    us "testing" is being installed, change it to woody, so users will not
    find themselves unexpectedly using testing after they install woody,
    after debian 3.0 is released.
  * Updated pt_BR translation. Closes: #141557

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Apr 2002 11:57:39 -0500

base-config (1.33.14) unstable; urgency=low

  * Updated pt_BR, sv, ca translations of tzsetup.templates.
    Closes: #135580
  * Added some lintian overrides.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Feb 2002 22:37:30 -0500

base-config (1.33.13) unstable; urgency=medium
  
  * Changed last tzsetup question to allow allow backing up. This
    renders translations invalid, sigh.
  * Corrected order templates are given to debconf-mergetemplate,
    thus de-busting that last question. That's why this is medium.
  * Removed tzsetup.templates.ru, too old to live.
  * Updated Swedish translation from Andr Dahlqvist
    <andre.dahlqvist@telia.com>. 
  * Updated Catalan translation from Jordi Mallach <jordi@debian.org>.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Feb 2002 23:26:59 -0500

base-config (1.33.12) unstable; urgency=low

  * Updated French translation from Denis Barbier <barbier@debian.org>,
    Closes: #132382
  * Set LANG=C when calling date in tzsetup: Closes: #131473
  * Moved "enter information manually" to the top of the country list so it's
    not hidden at the bottom. In the dialog frontend (commonest case), this
    will make the default country appear above it, and all others under it. In
    other frontends it will work differently, and some may even hide it at the
    _top_ of the list, when they highlight the default near the end. Still,
    best I can do, Closes: #130343

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jan 2002 20:16:10 -0500

base-config (1.33.10) unstable; urgency=low

  * A few typo fixes from Matt Kraai, Closes: #129712

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Jan 2002 20:22:10 -0500

base-config (1.33.9) unstable; urgency=low

  * Removed the LANGUAGE stuff; LANGUAGE is not the correct variable for LANG.
    Instead, export LANG if it's set after sourcing debootstrap_settings.
    This will make it available to everything run by base-config.
    Closes: #128040
  * Completed and updated Spanish translation. (Next time, *please* send me
    seperate templates files for apt-setup, and tzsetup.) Closes: #127859

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Jan 2002 00:32:21 -0500

base-config (1.33.8) unstable; urgency=low

  * I'm _really_ not sure if this belongs in testing or not. Probably not.
  * Don't ask about emoving pcmcia if pcmcia-cs is not installed. Thanks to
    Matt Krai. Closes: #125831 Note that some arch's don't have pcmcia at all,
    so this is a nice feature.
  * Also don't bother asking about that if it's not a new install.
  * Have script log timing data as well. This makes it possible to play
    back a whole base-config run in real-time. Closes: #121286
    There's also a replaylog hack in the source package that replays one
    screen-worth at a time, which is sometimes more useful.
  * Typo, Closes: #126219

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Dec 2001 13:13:52 -0500

base-config (1.33.7) woody-proposed-updates unstable; urgency=low

  * Uploading to w-p-u since the base-config in testing does not offer the
    user a chance to set up ppp if they want to do an install with ppp. I
    figure ppp installs are sorta important. (This also has a fix for pcmcia
    removal.)

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Dec 2001 23:12:24 -0500

base-config (1.33.6) unstable; urgency=HIGH

  * Remove pcmcia if PCMCIA is set to no, or is unset. Turns out dbootstrap
    does not bother to set it if it's not used.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Dec 2001 00:04:01 -0500

base-config (1.33.5) unstable; urgency=HIGH

  * Work with the version of ppp in testing as well as the one in unstable
    (sigh).

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Dec 2001 16:06:56 -0500

base-config (1.33.4) unstable; urgency=HIGH

  * Set up ppp even if /etc/ppp/peers/provider exists, if it is a template.
    This is probably RC if we want ppp installs to work, thus the severity.
  * Source dbootstrap_settings and set LANG to the installation language
    (no effect if language_chooser is not enabled in the boot floppies).
  * Various pt_BR fixups, Closes: #122004, #122008, #122010

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Dec 2001 22:04:37 -0500

base-config (1.33.3) unstable; urgency=low

  * Danish translation fixes from Claus Hindsgaul <claus_h@image.dk> 

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Nov 2001 22:29:52 -0500

base-config (1.33.2) unstable; urgency=low

  * Fixed a typo in the termwrap man page, Closes: #120609
  * Added pt_BR man pages from Andre Luis Lopes <andrelop@ig.com.br>
    Closes: #121136

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Nov 2001 20:47:00 -0500

base-config (1.33) unstable; urgency=low

  * base-config.8: Documented (most) of the environment variables that effect
    the program.
  * 00debootstrap_settings: If DEBIAN_PRIORITY is set, ignore the value from
    debootstrap_settings. This allows overriding of the priority at the boot
    prompt in the middle of a debian install, which is pretty neat.
  * base-config: Added a KEEP_BASE_DEBS, which, if set to yes, will inhibit

