=== debian/control ===
Source: base-config
Section: base
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends-Indep: debhelper (>= 3.0.47), debconf-utils
Standards-Version: 3.5.6.1

Package: base-config
Architecture: all
Depends: debconf (>= 0.9.64), apt, adduser, console-data (>= 1999.08.29-13), passwd (>= 20000902-6), tasksel (>= 1.0-7), bsdutils (>= 2.11l)
Conflicts: debconf (<< 0.2.79), debconf-tiny (<< 0.2.79)
Replaces: debconf (<< 0.2.79), debconf-tiny (<< 0.2.79)
Description: Debian base configuration package
 This package handles setting up the Debian base system. It contains the
 questions you see when you install Debian for the first time and boot up
 your new Debian system.
 .
 It can be removed with no ill effects -- now that your Debian system is
 installed, this package's only useful function is to allow you to
 reconfigure some of the things it asked you about earlier.
