=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

CVSGET=cvs -d":pserver:anonymous@cvs.debian.org:/cvs/webwml" \
	co -p webwml/english/mirror/Mirrors.masterlist

build:
	# Freshen Mirrors.masterlist file, but allow failure.
	if $(CVSGET) > Mirrors.masterlist.0 \
	   && [ -s "Mirrors.masterlist.0" ]; then \
		mv -f Mirrors.masterlist.0 Mirrors.masterlist > /dev/null 2>&1; \
	fi

clean:
	dh_testdir
	dh_testroot
	dh_clean
	if [ ! -s "Mirrors.masterlist" ]; then \
		$(CVSGET) > Mirrors.masterlist; \
	fi

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/share/base-config usr/sbin usr/lib/base-config \
		usr/share/lintian/overrides
	cp debian/override debian/base-config/usr/share/lintian/overrides/base-config
	install apt-setup tzsetup base-config termwrap debian/base-config/usr/sbin/
	install lib/[0-9]* debian/base-config/usr/lib/base-config/
	cp Mirrors.masterlist debian/base-config/usr/share/base-config/

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	# Merge in all templates.
	debconf-mergetemplate \
		debian/templates.* debian/templates \
		apt-setup.templates.* apt-setup.templates \
		tzsetup.templates.* tzsetup.templates \
		> debian/base-config/DEBIAN/templates
	dh_installdocs
	dh_installman *.8
	dh_installinfo
	dh_installchangelogs
	dh_installlogrotate
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
