## base-config 2.44ubuntu28

=== debian/changelog ===
base-config (2.44ubuntu28) warty; urgency=low

  * Copy archive-copier-cached Desktop packages from
    /var/cache/archive-copier/desktop.
  * After package installation, copy Ship packages from
    /var/cache/archive-copier/ship.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 19 Oct 2004 00:54:43 +0100

base-config (2.44ubuntu27) warty; urgency=low

  * Add initial user to /etc/aliases.  Closes: Warty#1711, Warty#1123

 -- LaMont Jones <lamont@canonical.com>  Fri, 15 Oct 2004 19:10:11 -0600

base-config (2.44ubuntu26) warty; urgency=low

  * Add a note to base-config/intro that the root account will be disabled
    by default, and that sudo will be configured. (I'm adding this here
    rather than in passwd because it's base-config that does the sudo
    configuration, and the text would otherwise look strange when
    reconfiguring passwd.)

 -- Colin Watson <cjwatson@canonical.com>  Mon, 11 Oct 2004 22:09:58 +0100

base-config (2.44ubuntu25) warty; urgency=low

  * Backport from Debian (closes: Ubuntu #2195):
    - lib/menu/finish: Fix "/etc/environmment" typos.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  9 Oct 2004 13:55:03 +0100

base-config (2.44ubuntu24) warty; urgency=low

  * Raise the priority of tzconfig/gmt back to high, but don't ask it if
    prebaseconfig reported that we're the only operating system installed.

 -- Colin Watson <cjwatson@canonical.com>  Mon,  4 Oct 2004 16:57:56 +0100

base-config (2.44ubuntu23) warty; urgency=low

  * Add system group scanner.
  * Add default user to group scanner. (Closes: #1485)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 29 Sep 2004 07:53:13 +0200

base-config (2.44ubuntu22) warty; urgency=low

  * When running base-config without 'new', drop into aptitude rather than
    automatically installing the ubuntu-desktop task (closes: Ubuntu #1677).
  * Make warning about unsupportedness of 'universe' in
    /etc/apt/sources.list scarier (closes: Ubuntu #1564).
  * Remove 'main restricted' from the universe line, so people don't end up
    with duplicate sources.list entries.
  * Honour answer to apt-setup/universe question.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 27 Sep 2004 18:58:52 +0100

base-config (2.44ubuntu21) warty; urgency=low

  * Drop ppp configuration question priority to medium.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 22 Sep 2004 19:20:26 +0100

base-config (2.44ubuntu20) warty; urgency=low

  * Remove "at the login: prompt" from the base-config/login text.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 16 Sep 2004 14:41:51 +0100

base-config (2.44ubuntu19) warty; urgency=low

  * Ask about downloading network updates. Make sure to ask only one
    question for both archive.ubuntu.com and security.ubuntu.com.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 15 Sep 2004 07:13:21 +0100

base-config (2.44ubuntu18) warty; urgency=low

  * Move from ftp.no-name-yet.com to archive.ubuntu.com and from
    security.no-name-yet.com to security.ubuntu.com.
  * Update the Origin: expected from Ubuntu release files.
  * Drop Maintainer: line from Mirrors.masterlist.ubuntu. It's not really
    needed for the master site.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 20:56:30 +0100

base-config (2.44ubuntu17) warty; urgency=low

  * Change default to true for restricted in apt-setup.templates.
  * Add security/restricted only when selected.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 09 Sep 2004 16:01:33 +0200

base-config (2.44ubuntu16) warty; urgency=low

  * Fix hostname on cdrom installation.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 09 Sep 2004 14:54:25 +0200

base-config (2.44ubuntu15) warty; urgency=low

  * Automatically comment or uncomment http apt-lines if network
    is available.
  * Add check for deb-src before adding them. (Including security)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 09 Sep 2004 09:00:00 +0200

base-config (2.44ubuntu14) warty; urgency=low

  * Remove timestamp_timeout=0 in sudoers.

 -- LaMont Jones <lamont@mmjgroup.com>  Wed,  8 Sep 2004 14:10:34 -0600

base-config (2.44ubuntu13) warty; urgency=low

  * Add security.no-name-yet.com to sources.list.
  * Do not add suggested apt-lines more than once.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 08 Sep 2004 16:38:52 +0200

base-config (2.44ubuntu12) warty; urgency=low

  * Add missing / when generating apt lines on cdrom install. (Closes: #1094)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 08 Sep 2004 06:38:19 +0200

base-config (2.44ubuntu11) warty; urgency=low

  * Make sure to quote $TMPFILE in apt-setup, since it isn't always set.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Sep 2004 19:06:16 +0100

base-config (2.44ubuntu10) warty; urgency=low

  * If /etc/apt/sources.list already contains a cdrom: URI on a new
    base-config run (i.e. archive-copier ran 'apt-cdrom add'), then leave it
    there and skip all CD probing.
  * Remove some useless use of 'cat'.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Sep 2004 19:00:02 +0100

base-config (2.44ubuntu9) warty; urgency=low

  * Use apt-setup/non-free for restricted and unfuzz a bunch of
    translations.
  * Add apt-setup/universe template.
  * Add commented apt lines according to the installation method
    to reflect updates, restricted and universe.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Tue, 07 Sep 2004 08:55:37 +0200

base-config (2.44ubuntu8) warty; urgency=low

  * Copy packages from /var/cache/archive-copier to /var/cache/apt/archives
    just before package selection. This arrangement means we can clean out
    the cache of base packages without affecting everything else.

 -- Colin Watson <cjwatson@canonical.com>  Fri,  3 Sep 2004 22:37:50 +0100

base-config (2.44ubuntu7) warty; urgency=low

  * Remove MTA configuration step. Our postfix defaults to no configuration
    at high priority anyway.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  2 Sep 2004 16:12:54 +0100


