=== debian/rules ===
#!/usr/bin/make -f

CVSGET=cvs -d":pserver:anonymous@cvs.debian.org:/cvs/webwml" \
	co -p webwml/english/mirror/Mirrors.masterlist

build:
	# Freshen Mirrors.masterlist file, but allow failure.
	#if [ "$$ONLINE" != n ]; then \
	#	if $(CVSGET) > Mirrors.masterlist.new \
	#	   && [ -s "Mirrors.masterlist.new" ]; then \
	#		mv -f Mirrors.masterlist.new Mirrors.masterlist; \
	#	else \
	#		rm -f Mirrors.masterlist.new; \
	#	fi; \
	#fi

	$(MAKE) -C po

clean:
	dh_testdir
	dh_testroot
	dh_clean
	make -C po clean
	#if [ ! -s "Mirrors.masterlist" ]; then \
	#	$(CVSGET) > Mirrors.masterlist; \
	#fi

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/share/lintian/overrides
	cp debian/lintian-override debian/base-config/usr/share/lintian/overrides/base-config
	dh_install apt-setup tzsetup base-config termwrap validlocale usr/sbin/
	dh_install lib/* usr/lib/base-config/
	cp Mirrors.masterlist.ubuntu debian/base-config/usr/lib/base-config/Mirrors.masterlist
	make -C po install prefix=`pwd`/debian/base-config

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf

	# Merge in all templates.
	echo >> debian/base-config/DEBIAN/templates
	po2debconf --podir=debian/po apt-setup.templates >> debian/base-config/DEBIAN/templates
	echo >> debian/base-config/DEBIAN/templates
	po2debconf --podir=debian/po tzsetup.templates >> debian/base-config/DEBIAN/templates

	dh_installdocs
	dh_installman *.8
	dh_installinfo
	dh_installchangelogs
	dh_installlogrotate
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
