## base-config 2.53.10.2-0.0.0.1.pure64

=== debian/changelog ===
base-config (2.53.10.2-0.0.0.1.pure64) stable; urgency=low

  * Replace the Mirrors.masterlist with one for amd64.

 -- dann frazier <dannf@debian.org>  Fri, 03 Nov 2006 16:56:21 -0700

base-config (2.53.10.2) stable; urgency=low

  * Rebuilt in a sarge chroot since it generates incorrect debconf templates
    if built in sid. Closes: #372734

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Jun 2006 14:23:35 -0400

base-config (2.53.10.1) stable; urgency=high

  * Add permission fixing code to base-config to deal with data leakage in
    d-i and base-config log files. chmod all possibly affected log files 600.
  * Disable Mirrors.masterlist downloading for stable build.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Mar 2006 16:02:28 -0500

base-config (2.53.10) testing; urgency=low

  * Christian Perrier
    - Fix substitution variable in nb debconf translation 
      the right way

 -- Joey Hess <joeyh@debian.org>  Sun, 15 May 2005 14:56:13 -0400

base-config (2.53.9) testing; urgency=low

  * Joey Hess
    - Fix substitution variable in nb debconf translation. (#308183)
  * Debconf translations
    - Albanian updated from the sarge branch
    - Fix variable substitution errors in cy, fi, hu, ru, sl
      Closes: #308278
  * Christian Perrier
    - man pages typos corrected in validlocale.8. Closes: #302738
    - man pages typos corrected in tzsetup.8. Closes: #302737

 -- Joey Hess <joeyh@debian.org>  Fri, 13 May 2005 11:35:58 -0400

base-config (2.53.8) testing-proposed-updates; urgency=low

  * Translations
    - Hebrew translation update (debconf)
  * Joey Hess
    - Rather than ignoring signals in new install, which propigates out to
      child processes such as exim and causes problems, just stty intr ""
      to block ctrl-c from restarting base-config. Left QUIT (^\) at the
      default for power users/the foolish. Of the other previous blocked
      signals, it's probably best it notice HUP, and I don't see any reason
      to block TERM. Closes: #301988
    - Added an echo to the cleanup function for aestetics.
  * Colin Watson
    - apt 0.6.35 changed the capitalisation of 'Normal Packages:'. Cope with
      this.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Mar 2005 13:50:37 -0500

base-config (2.53.7) testing-proposed-updates; urgency=medium

  * Joey Hess
    - Sideport TMPDIR fix from head for rc bug #295687.
  * Translations
    - Galician translation update (debconf and programs)

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Feb 2005 11:47:19 -0500

base-config (2.53.6) testing-proposed-updates; urgency=low

  * Joey Hess
    - Patch from tbm to unset LC_ALL temporarily in termwrap around terminal
      detection code as it overrides LC_COLLATE and breaks serial console
      detection. This is the conservative version, since LC_ALL is re-set
      afterwards. Closes: #266744
  * Otavio Salvador
    - When changes the menu copy again from library directory to allow new
      menu itens. Ported from trunk.
  * Translations
    - Bosnian templates translation update by Safir Sacerovic
    - French translation update

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Feb 2005 19:54:41 -0500

base-config (2.53.5) testing-proposed-updates; urgency=low

  * Christian Perrirer:
    - Fix missing required comma in Welsh translation. Closes: #282632
    - Correct encoding of the Polish translation
  * Joey Hess 
    - Add first user to plugdev group so pmount in gnome will work.
      However, this won't actually do anything until the pmount
      group exists as a static group created by base-passwd.
      See bug #283233
  * Translations
    - Albanian updated

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Dec 2004 17:23:20 -0500

base-config (2.53.4) testing-proposed-updates; urgency=low

  * Move HOME setting code from menu/shell to base-config proper, to avoid
    things like /.aptitude being created during initial install, when HOME is
    not set.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Nov 2004 11:50:36 -0500

base-config (2.53.3) testing-proposed-updates; urgency=low

  * Only read d-i database on new install. Closes: #274609
  * Translations:
    - Updated Czech

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Nov 2004 13:35:56 -0500

base-config (2.53.2) testing-proposed-updates; urgency=low

  * Sideport question template fix from unstable to fix #279590

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Nov 2004 13:41:01 -0500

base-config (2.53.1) testing-proposed-updates; urgency=low

  * Sideport apt-setup and tzsetup seen flag fixing problems from unstable,
    to fix #278566
  * Large version number bump is for postinst version compare code.
  * Updated Spanish man pages from Ruben.
  * Translations
    - Fixed by Christian Perrier.

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Nov 2004 11:00:13 -0500

base-config (2.40.8) testing-proposed-updates; urgency=low

  * Modified prep-menu to strip doubled whitespace to work around #189026.
    Closes: #278276 (loops during Albanian installs).

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Oct 2004 16:13:08 -0500

base-config (2.40.7) testing-proposed-updates; urgency=low

  * Translations
    - Albanian (po/sq.po) updated by Elian Myftiu
    - Hebrew (po/he.po and debian/po/he.po) update by Lior Kaplan
    - Macedonian (po/mk.po and debian/po/mk.po) added by Georgi Stanojevski
  * Otavio Salvador
    - Dereference when copy script to temp directory. It solve problems
      with symbolic links as menu.
  * Joey Hess
    - Fix running of base-config/early_command.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Oct 2004 02:19:09 -0400

base-config (2.40.6) testing-proposed-updates; urgency=low

  * Joey Hess
    - Merge markos's greek jbbterm disable patch, since since
      console-tools is perfectly capable of displaying UTF-8
      Greek text.
    - Merge Otavio's pt_BR lat1-16 patch.
    - Merge finish menu item title setting fix.
  * Translations
    - Hebrew update by Lior Kaplan

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Oct 2004 15:10:27 -0400


