=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,18 @@
 
 CVSGET=cvs -d":pserver:anonymous@cvs.debian.org:/cvs/webwml" \
 	co -p webwml/english/mirror/Mirrors.masterlist
+ONLINE=n
 
 build:
 	# Freshen Mirrors.masterlist file, but allow failure.
-	#if [ "$$ONLINE" != n ]; then \
-	#	if $(CVSGET) > Mirrors.masterlist.new \
-	#	   && [ -s "Mirrors.masterlist.new" ]; then \
-	#		mv -f Mirrors.masterlist.new Mirrors.masterlist; \
-	#	else \
-	#		rm -f Mirrors.masterlist.new; \
-	#	fi; \
-	#fi
+	if [ "$$ONLINE" != n ]; then \
+		if $(CVSGET) > Mirrors.masterlist.new \
+		   && [ -s "Mirrors.masterlist.new" ]; then \
+			mv -f Mirrors.masterlist.new Mirrors.masterlist; \
+		else \
+			rm -f Mirrors.masterlist.new; \
+		fi; \
+	fi
 
 	$(MAKE) -C po
 
@@ -21,9 +22,9 @@
 	dh_testroot
 	dh_clean
 	make -C po clean
-	#if [ ! -s "Mirrors.masterlist" ]; then \
-	#	$(CVSGET) > Mirrors.masterlist; \
-	#fi
+	if [ ! -s "Mirrors.masterlist" ]; then \
+		$(CVSGET) > Mirrors.masterlist; \
+	fi
 
 install: build
 	dh_testdir
@@ -32,8 +33,8 @@
 	dh_installdirs usr/share/lintian/overrides
 	cp debian/lintian-override debian/base-config/usr/share/lintian/overrides/base-config
 	dh_install apt-setup tzsetup base-config termwrap validlocale usr/sbin/
+	dh_install Mirrors.masterlist usr/lib/base-config/
 	dh_install lib/* usr/lib/base-config/
-	cp Mirrors.masterlist.ubuntu debian/base-config/usr/lib/base-config/Mirrors.masterlist
 	make -C po install prefix=`pwd`/debian/base-config
 
 # Build architecture-dependent files here.
