## base-config 2.53.10.3

=== debian/changelog ===
base-config (2.53.10.3) oldstable; urgency=low

  * Add support for installing oldstable.
  * Update mirror list.
  * Update translations with thanks to translators.
  * Add myself to uploaders.

 -- Frans Pop <fjp@debian.org>  Thu, 30 May 2007 01:11:55 +0200
