=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 CVSGET=cvs -d":pserver:anonymous@cvs.debian.org:/cvs/webwml" \
 	co -p webwml/english/mirror/Mirrors.masterlist
-ONLINE=n
 
 build:
 	# Freshen Mirrors.masterlist file, but allow failure.
