## base-config 2.62ubuntu24

=== debian/changelog ===
base-config (2.62ubuntu24) hoary; urgency=low

  * Update Danish translation (thanks, Frederik Dannemare).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  6 Apr 2005 01:18:55 +0100

base-config (2.62ubuntu23) hoary; urgency=low

  * --ignore-time-conflict for lib/menu/pkgsel as well.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 19:33:00 +0100

base-config (2.62ubuntu22) hoary; urgency=low

  * Make apt-get and apt-cdrom use gpgv --ignore-time-conflict to avoid
    validation errors due to clock problems (Ubuntu #8496).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 19:26:34 +0100

base-config (2.62ubuntu21) hoary; urgency=low

  * Give up on using run-in-target; it's too difficult to get useful $LANG
    handling when using it in conjunction with env.
  * Fix reversed logic for apt-setup/mirror seen flag.
  * Update Greek translation (thanks, Giorgos Logiotatidis).
  * Update Romanian translation (thanks, Ovidiu Damian).
  * Update Spanish translation (thanks, Enrique Matías Sánchez).
  * Add Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 17:45:22 +0100

base-config (2.62ubuntu20) hoary; urgency=low

  * apt 0.6.35 changed the capitalisation of 'Normal Packages:'. Cope with
    this.
  * Make sure that apt-cdrom output doesn't go to the terminal when a
    progress bar is in place.
  * Update Spanish translation (thanks, Enrique Matías Sánchez).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Mar 2005 15:00:06 +0100

base-config (2.62ubuntu19) hoary; urgency=low

  * Add base-config/language-pack-patterns template for preseeding, to allow
    the appropriate kde-i18n-* packages to be automatically installed for
    Kubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Mar 2005 00:14:49 +0100

base-config (2.62ubuntu18) hoary; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Maximilian Gerlach).
  * Update Hungarian translation (thanks, Gabor Burjan).
  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).
  * Update Polish translation (thanks, Emil Oppeln-Bronikowski).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:30:35 +0100

base-config (2.62ubuntu17) hoary; urgency=low

  * Add ku, lo, rm, si, tl, ur, and xh to base-config/language-packs
    choices.
  * Include $DIST-updates in sources.list by default.
  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update German translation (thanks, Maximilian Gerlach).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 02:47:17 +0000

base-config (2.62ubuntu16) hoary; urgency=low

  * Simplify apt-setup menu item, finally getting rid of the old temporary
    file hack from warty.
  * Save the original sources.list before running apt-setup itself, and
    restore it if apt-setup fails (closes: Ubuntu #7993).
  * Put up a progress bar in apt-setup-udeb while preparing to run apt-setup
    (closes: Ubuntu #8023).
  * Stop apt-setup asking duplicate questions during the second stage of
    netboot installations.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 10:34:37 +0000

base-config (2.62ubuntu15) hoary; urgency=low

  * Copy base-config/* variables from the first stage (closes: Ubuntu
    #7953).
  * SUBSTing into a template's Default: is defined not to work, which broke
    per-location mirror defaults. Use SET instead.
  * Set DEBIAN_PRIORITY to the value of debconf/priority while running
    debconf in /target.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Mar 2005 18:21:10 +0000

base-config (2.62ubuntu14) hoary; urgency=low

  * Remove prebaseconfig script; it was broken and useless following the
    move of tzsetup to the passthrough mechanism.
  * Modify /target/etc/default/rcS rather than /etc/default/rcS in
    tzsetup-udeb.postinst.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Mar 2005 02:19:48 +0000

base-config (2.62ubuntu13) hoary; urgency=low

  * Correct temporary filename template used by tzsetup-udeb.
  * Add #! line to tzsetup-udeb temporary script standing in for
    debconf-copydb.
  * Set tzconfig/gmt's seen flag to true in /target, not in cdebconf, since
    the latter doesn't generally have that question registered.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Mar 2005 01:51:17 +0000

base-config (2.62ubuntu12) hoary; urgency=low

  * Use -- to separate tzsetup options from debconf options.
  * run-in-target uses debconf itself, so switch the order of run-in-target
    and env in target_debconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Mar 2005 10:08:02 +0000

base-config (2.62ubuntu11) hoary; urgency=low

  * Use passthrough mechanism to call tzsetup from tzsetup-udeb.
  * Use more efficient (though uglier - really needs debconf-copydb) means
    of copying information from cdebconf to debconf.
  * Use new run-in-target script from di-utils 1.08ubuntu7.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 17:43:31 +0000

base-config (2.62ubuntu10) hoary; urgency=low

  * Always set LANG to the value of debian-installer/locale when chrooting
    into /target.
  * Depend on target-base-system rather than base-installer, so that
    base-installer doesn't get pulled in on live CDs with tzsetup-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 13:04:36 +0000

base-config (2.62ubuntu9) hoary; urgency=low

  * Move final sources.list into place even if the desktop installation
    fails.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Mar 2005 18:16:48 +0000

base-config (2.62ubuntu8) hoary; urgency=low

  * Fix tzsetup when /usr/share/zoneinfo/list.tab is not present (Ubuntu
    #7328).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Mar 2005 16:39:43 +0000

base-config (2.62ubuntu7) hoary; urgency=low

  * Demote apt-setup/network-updates question to medium, so that it's only
    asked in expert mode (really closes: Ubuntu #6390).


