=== debian/rules ===
--- 
+++ 
@@ -29,18 +29,25 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs usr/share/lintian/overrides
+
+	dh_installdirs -pbase-config usr/share/lintian/overrides
 	cp debian/lintian-override debian/base-config/usr/share/lintian/overrides/base-config
-	dh_install apt-setup tzsetup base-config termwrap validlocale usr/sbin/
-	dh_install Mirrors.masterlist usr/lib/base-config/
-	dh_install lib/* usr/lib/base-config/
+	dh_install -pbase-config apt-setup tzsetup base-config termwrap validlocale usr/sbin/
+	dh_install -pbase-config lib/* usr/lib/base-config/
+	(cat Mirrors.masterlist.ubuntu; ./ubuntu-country-mirrors.pl) > debian/base-config/usr/lib/base-config/Mirrors.masterlist
 	make -C po install prefix=`pwd`/debian/base-config
+
+	dh_installdirs -ptzsetup-udeb
+
+	dh_installdirs -papt-setup-udeb
 
 # Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdebconf
+	dh_installdebconf -pbase-config
+	dh_installdebconf -ptzsetup-udeb -- --encoding=utf8
+	dh_installdebconf -papt-setup-udeb -- --encoding=utf8
 
 	# Merge in all templates.
 	echo >> debian/base-config/DEBIAN/templates
@@ -53,13 +60,13 @@
 	dh_installinfo
 	dh_installchangelogs
 	dh_installlogrotate
-	dh_link
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 binary-indep: build install
